package com.ym.mec.biz.dal.dto;

import java.math.BigDecimal;

public class CloudTeacherActiveTargetDto{
	private Integer organId;

	private String organName;

	private Integer targetNum = 0;

	private BigDecimal targetAmount = BigDecimal.ZERO;

	private Integer buyNum = 0;

	private Integer totalNum = 0;

	private BigDecimal buyAmount = BigDecimal.ZERO;

	private BigDecimal avgBuyAmount = BigDecimal.ZERO;

	private BigDecimal buyScale = BigDecimal.ZERO;

	private BigDecimal targetFinishScale = BigDecimal.ZERO;

	private BigDecimal targetAmountFinishScale = BigDecimal.ZERO;

	public BigDecimal getTargetAmountFinishScale() {
		return targetAmountFinishScale;
	}

	public void setTargetAmountFinishScale(BigDecimal targetAmountFinishScale) {
		this.targetAmountFinishScale = targetAmountFinishScale;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public Integer getBuyNum() {
		return buyNum;
	}

	public void setBuyNum(Integer buyNum) {
		this.buyNum = buyNum;
	}

	public Integer getTotalNum() {
		return totalNum;
	}

	public void setTotalNum(Integer totalNum) {
		this.totalNum = totalNum;
	}

	public BigDecimal getBuyAmount() {
		return buyAmount;
	}

	public void setBuyAmount(BigDecimal buyAmount) {
		this.buyAmount = buyAmount;
	}

	public BigDecimal getAvgBuyAmount() {
		return avgBuyAmount;
	}

	public void setAvgBuyAmount(BigDecimal avgBuyAmount) {
		this.avgBuyAmount = avgBuyAmount;
	}

	public BigDecimal getBuyScale() {
		return buyScale;
	}

	public void setBuyScale(BigDecimal buyScale) {
		this.buyScale = buyScale;
	}

	public BigDecimal getTargetFinishScale() {
		return targetFinishScale;
	}

	public void setTargetFinishScale(BigDecimal targetFinishScale) {
		this.targetFinishScale = targetFinishScale;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public Integer getTargetNum() {
		return targetNum;
	}

	public void setTargetNum(Integer targetNum) {
		this.targetNum = targetNum;
	}

	public BigDecimal getTargetAmount() {
		return targetAmount;
	}

	public void setTargetAmount(BigDecimal targetAmount) {
		this.targetAmount = targetAmount;
	}
}
